Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 63983 - Navigator builds the panel content during TC open even when slided
Navigator builds the panel content during TC open even when slided
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Navigator
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Stupka
issues@platform
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 14:07 UTC by _ rkubacki
Modified: 2011-06-23 13:57 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ rkubacki 2005-09-09 14:07:56 UTC
While profiling Java editor opening I noticed that navigator updates its content
even if it is slided. During this time it builds Strings that can be displayed
so there are accesses to MDR and the action is not instanteous. At least it
should not intefere with component opening - Java editor opens slower than it
should and this makes it even worse.
Comment 1 David Simonek 2005-10-27 13:11:11 UTC
Hmm, correct, accepted.
Comment 2 David Simonek 2005-10-27 13:15:51 UTC
Funny thing - this bug is result of fixing another bug I receive from
performance team. Original bug was that Navigator restoring from minimized state
takes too long.
So what should I do here - revert the behaviour back or try to delay loading if
Navigator is minimized? This of course would be complicated to synchronize well
in the code.
Comment 3 _ rkubacki 2005-10-27 13:29:32 UTC
Simple answer both shoudl be fast :-)

Which bug is the one you refer to? Maybe there is something what can be improved
with restore. I'd expect that if we restore navigator and load a content into it
it should be reasonably fast. At least if it is a file currently opened in
editor and thus parsed and with actual JMI model cached in memory. What other
activity can slow it down significantly?
Comment 4 Marian Mirilovic 2006-01-03 10:54:10 UTC
Too late for NB5.0, please reevaluate.
Comment 5 Lukas Hasik 2008-04-10 21:22:39 UTC
moving opened issues from TM <= 6.1 to TM=Dev
Comment 6 Jiri Rechtacek 2011-06-23 13:57:51 UTC
Sorry, we have no plans to fix this in the near future. Please reopen if you feel this bug is still valid.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo